Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 599196 - gnome-base/gnome-shell-3.22.1: can't emerge
Summary: gnome-base/gnome-shell-3.22.1: can't emerge
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.22
  Show dependency tree
 
Reported: 2016-11-08 10:10 UTC by Jura
Modified: 2016-11-12 10:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch (gnome-shell-3.22.0-defaults.patch,858 bytes, patch)
2016-11-09 11:42 UTC, Jura
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jura 2016-11-08 10:10:33 UTC
emerge -av1 gnome-base/gnome-shell::gentoo

>>> Verifying ebuild manifests
>>> Emerging (1 of 1) gnome-base/gnome-shell-3.22.1::gentoo
>>> Failed to emerge gnome-base/gnome-shell-3.22.1, Log file:
>>>  '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/temp/build.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 8.86, 4.67, 3.17
 * Package:    gnome-base/gnome-shell-3.22.1
 * Repository: gentoo
 * Maintainer: gnome@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux networkmanager nls python_targets_python3_5 userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking gnome-shell-3.22.1.tar.xz to /var/tmp/portage/gnome-base/gnome-shell-3.22.1/work
>>> Source unpacked in /var/tmp/portage/gnome-base/gnome-shell-3.22.1/work
>>> Preparing source in /var/tmp/portage/gnome-base/gnome-shell-3.22.1/work/gnome-shell-3.22.1 ...
 * Applying gnome-shell-3.14.0-defaults.patch ...
The text leading up to this was:
--------------------------
|From 6b658660e822a550da55c735c826ec75b6c0efee Mon Sep 17 00:00:00 2001
|From: Gilles Dartiguelongue <eva@gentoo.org>
|Date: Tue, 10 Dec 2013 23:33:51 +0100
|Subject: [PATCH 1/3] Alter list of default applications
|
|---
| data/org.gnome.shell.gschema.xml.in.in | 2 +-
| 1 file changed, 1 insertion(+), 1 deletion(-)
|
|diff --git a/data/org.gnome.shell.gschema.xml.in.in b/data/org.gnome.shell.gschema.xml.in.in
|index 92cef3f..9e783bb 100644
|--- a/data/org.gnome.shell.gschema.xml.in.in
|+++ b/data/org.gnome.shell.gschema.xml.in.in
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
 [ !! ]
 * ERROR: gnome-base/gnome-shell-3.22.1::gentoo failed (prepare phase):
 *   patch -p1  failed with /usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch
 * 
 * Call stack:
 *               ebuild.sh, line  115:  Called src_prepare
 *             environment, line 4838:  Called eapply '/usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch'
 *             environment, line 1273:  Called _eapply_patch '/usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch'
 *             environment, line 1211:  Called __helpers_die 'patch -p1  failed with /usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *   		die "$@"
 * 
 * If you need support, post the output of `emerge --info '=gnome-base/gnome-shell-3.22.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=gnome-base/gnome-shell-3.22.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/work/gnome-shell-3.22.1'
 * S: '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/work/gnome-shell-3.22.1'

 * Messages for package gnome-base/gnome-shell-3.22.1:

 * ERROR: gnome-base/gnome-shell-3.22.1::gentoo failed (prepare phase):
 *   patch -p1  failed with /usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch
 * 
 * Call stack:
 *               ebuild.sh, line  115:  Called src_prepare
 *             environment, line 4838:  Called eapply '/usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch'
 *             environment, line 1273:  Called _eapply_patch '/usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch'
 *             environment, line 1211:  Called __helpers_die 'patch -p1  failed with /usr/portage/gnome-base/gnome-shell/files/gnome-shell-3.14.0-defaults.patch'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *   		die "$@"
 * 
 * If you need support, post the output of `emerge --info '=gnome-base/gnome-shell-3.22.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=gnome-base/gnome-shell-3.22.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/work/gnome-shell-3.22.1'
 * S: '/var/tmp/portage/gnome-base/gnome-shell-3.22.1/work/gnome-shell-3.22.1'
Comment 1 Pacho Ramos gentoo-dev 2016-11-08 10:44:17 UTC
It is a known issue, for now please keep it masked until we have time to fix it. Sorry for the inconvenience but we have limited time and resources :)
Comment 2 klaus818 2016-11-09 11:38:36 UTC
Hello Pacho, I want to try it again. Can I do it?
Comment 3 Jura 2016-11-09 11:42:25 UTC
Created attachment 452792 [details, diff]
patch
Comment 4 Gilles Dartiguelongue gentoo-dev 2016-11-12 10:46:04 UTC
Build fixed in https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4358aee4a36b9c9eeef3e487ea9c3459218c0cf

Thanks for reporting.